Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback

## Class TextFallbackCompareInput

- java.lang.Object
- - org.eclipse.team.internal.ui.mapping.AbstractCompareInput
  - - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback.TextFallbackCompareInput

All Implemented Interfaces:
  `org.eclipse.compare.structuremergeviewer.ICompareInput`

    public final class TextFallbackCompareInput
    extends org.eclipse.team.internal.ui.mapping.AbstractCompareInput

A highly specialized implementation of a compare input that uses `text input data` to manage the information about the ancestor, left, and right.

### Constructor Summary

Constructors
`TextFallbackCompareInput​(int kind, TextFallbackCompareInputData textInputData, boolean showPreview)` Creates an instance of the given kind, using the given text input data, and an indication of whether this input is for `preview mode`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.team.internal.ui.mapping.CompareInputChangeNotifier` `getChangeNotifier()`
`TextFallbackCompareInputData` `getTextInputData()`
`boolean` `needsUpdate()`
`void` `update()`

### Methods inherited from class org.eclipse.team.internal.ui.mapping.AbstractCompareInput

`addCompareInputChangeListener, copy, fireChange, getAncestor, getImage, getKind, getLeft, getName, getRight, removeCompareInputChangeListener, setAncestor, setKind, setLeft, setRight`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextFallbackCompareInput

    public TextFallbackCompareInput​(int kind,
                                    TextFallbackCompareInputData textInputData,
                                    boolean showPreview)

Creates an instance of the given kind, using the given text input data, and an indication of whether this input is for `preview mode`.

Parameters:
  `kind` - the kind of input.
  `textInputData` - the text input data for this input.
  `showPreview` - whether this is input for preview mode.

### Method Detail

#### update

    public void update()

This implementation does nothing.

Specified by:
  `update` in class `org.eclipse.team.internal.ui.mapping.AbstractCompareInput`
See Also:
  `AbstractCompareInput.update()`

#### needsUpdate

    public boolean needsUpdate()

This implementation always returns `false`.

Specified by:
  `needsUpdate` in class `org.eclipse.team.internal.ui.mapping.AbstractCompareInput`
See Also:
  `AbstractCompareInput.needsUpdate()`

#### getChangeNotifier

    protected org.eclipse.team.internal.ui.mapping.CompareInputChangeNotifier getChangeNotifier()

This implementation always returns `compareInputChangeNotifier`.

Specified by:
  `getChangeNotifier` in class `org.eclipse.team.internal.ui.mapping.AbstractCompareInput`
See Also:
  `AbstractCompareInput.getChangeNotifier()`

#### getTextInputData

    public TextFallbackCompareInputData getTextInputData()